OpenNMS API 1.2.9

## org.opennms.netmgt.utils
Class Querier

    java.lang.Object
      org.opennms.netmgt.utils.JDBCTemplate
          org.opennms.netmgt.utils.Querier

All Implemented Interfaces:
  RowProcessor

Direct Known Subclasses:
  OutageTest.OutageChecker, PollerTest.OutageChecker, SingleResultQuerier

public class Querier
extends JDBCTemplate
implements RowProcessor

Field Summary
`private int` `m_count`
`private RowProcessor` `m_rowProcessor`

Fields inherited from class org.opennms.netmgt.utils.JDBCTemplate
``

Constructor Summary
`Querier(DbConnectionFactory db, java.lang.String sql)`
`Querier(DbConnectionFactory db, java.lang.String sql, RowProcessor rowProcessor)`

Method Summary
`protected void` `executeStmt(java.sql.PreparedStatement stmt)`
`int` `getCount()`
`void` `processRow(java.sql.ResultSet rs)`

Methods inherited from class org.opennms.netmgt.utils.JDBCTemplate
`execute, execute, execute, execute, execute, execute, execute`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_count

    private int m_count

### m_rowProcessor

    private RowProcessor m_rowProcessor

Constructor Detail

### Querier

    public Querier(DbConnectionFactory db,
                   java.lang.String sql,
                   RowProcessor rowProcessor)

### Querier

    public Querier(DbConnectionFactory db,
                   java.lang.String sql)

Method Detail

### getCount

    public int getCount()

### executeStmt

    protected void executeStmt(java.sql.PreparedStatement stmt)
                        throws java.sql.SQLException

  Specified by:
    `executeStmt` in class `JDBCTemplate`
  Throws:
    `java.sql.SQLException`

### processRow

    public void processRow(java.sql.ResultSet rs)
                    throws java.sql.SQLException

  Specified by:
    `processRow` in interface `RowProcessor`
  Throws:
    `java.sql.SQLException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.